Fedora 10 : ocaml-camlimages-3.0.1-3.fc10.2 (2009-7491)

High Nessus Plugin ID 40948


The remote Fedora host is missing a security update.


- Fri Jul 3 2009 Richard W.M. Jones <rjones at redhat.com>
- 3.0.1-3.fc10.2

- ocaml-camlimages: PNG reader multiple integer overflows (CVE-2009-2295 / RHBZ#509531).

- Mon Nov 3 2008 Richard W.M. Jones <rjones at redhat.com>
- 3.0.1-3

- +BR gtk2-devel.

- +BR ocaml-x11.

- Mon Nov 3 2008 Richard W.M. Jones <rjones at redhat.com> - 3.0.1-1

- Home page moved (fixes rhbz 468158).

- New upstream version 3.0.1 and multiple build fixes for this.

- License is really LGPLv2 with the OCaml linking exception.

- Removed the DESTDIR patch.

- Build tiff support.

- Run it through rpmlint and fix all problems.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected ocaml-camlimages package.

See Also



Plugin Details

Severity: High

ID: 40948

File Name: fedora_2009-7491.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2009/09/14

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:ocaml-camlimages, cpe:/o:fedoraproject:fedora:10

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/07/11

Reference Information

CVE: CVE-2009-2295

BID: 35556

FEDORA: 2009-7491

CWE: 189